SPI_FREEPLAN(3)

NAME
SPI_freeplan - free a previously saved prepared statement

SYNOPSIS

int SPI_freeplan(SPIPlanPtr plan)

DESCRIPTION

SPI_freeplan releases a prepared statement previously returned by SPI_prepare or saved by SPI_keepplan or SPI_saveplan.

ARGUMENTS

SPIPlanPtr plan
    pointer to statement to free

RETURN VALUE

0 on success; SPI_ERROR_ARGUMENT if plan is NULL or invalid